#!/bin/bash
echo "Cleaning RetroArch build folder"
pushd ~/ > /dev/null 2>&1
pushd RetroArch > /dev/null 2>&1
make -f Makefile.switch clean
if [ -f "fs.squashfs" ]
then
	rm fs.squashfs
fi
if [ -f "libretro_switch.a" ]
then
	rm libretro_switch.a
fi
if [ -f "retroarch_switch.nro" ]
then
	rm retroarch_switch.nro
fi

echo "==================================================================="
echo "==================================================================="
echo "==================================================================="
echo "Select which emulator you want to build"
echo "1 . snes9x2010 (Super Nintendo)		- Working (Tested)"
echo "2 . vba-next (Gameboy Advanced)		- Working (Tested)"
echo "3 . fceumm (Nintendo)			- Working (Tested)"
echo "4 . virtualjaguar (Atari Jaguar)	- Working (Very slow) (Tested)"
echo "5 . picodrive (Genesis/Megadrive)	- Working (Tested)"
echo "6 . handy (Atary Lynx)			- Not Working (Need cpp compatibility from libtransistor)"
echo "7 . yabause (Saturn)			- Maybe working (Not tested)"
echo "8 . fbalpha (M.A.M.E.)			- Not Working (Need cpp compatibility from libtransistor)"
echo "9 . Genesis-Plus-GX (Genesis/Megadrive) - Not Working (Crashes loading roms on switch)"
echo "10. Gearboy (GameBoy/GameBoy Color) 	- Not Working (Need cpp compatibility from libtransistor)"
echo "11. Other user pre-compiled core.	- (Need an \".a\" file and even then might not work)"
read emu
if [ "$emu" == "1" ]
then   
   cp /home/$USER/libtransistor-snes9x2010/snes9x2010_libretro_switch.a /home/$USER/RetroArch/libretro_switch.a
   make LLVM_POSTFIX=-5.0 -f Makefile.switch LIBTRANSISTOR_HOME=/home/$USER/libtransistor
elif [ "$emu" == "2" ]
then
   cp /home/$USER/vba-next/vba_next_libretro_switch.a /home/$USER/RetroArch/libretro_switch.a
   make LLVM_POSTFIX=-5.0 -f Makefile.switch LIBTRANSISTOR_HOME=/home/$USER/libtransistor
elif [ "$emu" == "3" ]
then
   cp /home/$USER/libretro-fceumm/fceumm_libretro_switch.a /home/$USER/RetroArch/libretro_switch.a
   make LLVM_POSTFIX=-5.0 -f Makefile.switch LIBTRANSISTOR_HOME=/home/$USER/libtransistor
elif [ "$emu" == "4" ]
then
   cp /home/$USER/virtualjaguar-libretro/virtualjaguar_libretro_switch.a /home/$USER/RetroArch/libretro_switch.a
   make LLVM_POSTFIX=-5.0 -f Makefile.switch LIBTRANSISTOR_HOME=/home/$USER/libtransistor
elif [ "$emu" == "5" ]
then
   cp /home/$USER/picodrive/picodrive_libretro_switch.a /home/$USER/RetroArch/libretro_switch.a
   make LLVM_POSTFIX=-5.0 -f Makefile.switch LIBTRANSISTOR_HOME=/home/$USER/libtransistor
elif [ "$emu" == "6" ]
then
   cp /home/$USER/libretro-handy/handy_libretro_switch.a /home/$USER/RetroArch/libretro_switch.a
   make LLVM_POSTFIX=-5.0 -f Makefile.switch LIBTRANSISTOR_HOME=/home/$USER/libtransistor
elif [ "$emu" == "7" ]
then
   cp /home/$USER/yabause/libretro/yabause_libretro_switch.a /home/$USER/RetroArch/libretro_switch.a
   make LLVM_POSTFIX=-5.0 -f Makefile.switch LIBTRANSISTOR_HOME=/home/$USER/libtransistor
elif [ "$emu" == "8" ]
then
   cp /home/$USER/fbalpha/fbalpha_libretro_switch.a /home/$USER/RetroArch/libretro_switch.a
   make LLVM_POSTFIX=-5.0 -f Makefile.switch LIBTRANSISTOR_HOME=/home/$USER/libtransistor
elif [ "$emu" == "9" ]
then
   cp /home/$USER/Genesis-Plus-GX/genesis_plus_gx_libretro_switch.a /home/$USER/RetroArch/libretro_switch.a
   make LLVM_POSTFIX=-5.0 -f Makefile.switch LIBTRANSISTOR_HOME=/home/$USER/libtransistor
elif [ "$emu" == "10" ]
then
   cp /home/$USER/Gearboy/gearboy_libretro_switch.a /home/$USER/RetroArch/libretro_switch.a
   make LLVM_POSTFIX=-5.0 -f Makefile.switch LIBTRANSISTOR_HOME=/home/$USER/libtransistor
elif [ "$emu" == "11" ]
then
   echo "Enter the pre-compiled core full path."
   read core
   if [ -f "$core" ]
   then
      cp "$core" /home/$USER/RetroArch/libretro_switch.a
      make LLVM_POSTFIX=-5.0 -f Makefile.switch LIBTRANSISTOR_HOME=/home/$USER/libtransistor
   else
      echo "Could not find the core $core"
   fi
else
	echo "Invalid choice"
fi
if [ -f "retroarch_switch.nro" ]
then
	cp retroarch_switch.nro ../pegaswitch/nros/retroarch.nro
fi
popd > /dev/null 2>&1 # RetroArch
popd > /dev/null 2>&1 # ~/
